---
title: "Release v0.27.2"
linkTitle: "Release v0.27.2"
date: 2022-04-07
description: >
 Release v0.27.2
---

## Changelog since v0.27.1

### Notable Changes
* Fix bug that causes login error when user belongs to too many teams ([#3502](https://github.com/pipe-cd/pipecd/pull/3502))
* Be able to show artifact versions for terraform deployment ([#3427](https://github.com/pipe-cd/pipecd/pull/3427))
* Make commit clickable on the application list page ([#3441](https://github.com/pipe-cd/pipecd/pull/3441))

### Internal Changes
* Temporarily disable Insights API to hide it before release ([#3504](https://github.com/pipe-cd/pipecd/pull/3504))
* Fix unable to filter object correctly in case the object value field of type int64 ([#3500](https://github.com/pipe-cd/pipecd/pull/3500))
* Remove old doc versions ([#3501](https://github.com/pipe-cd/pipecd/pull/3501))
* Update field name normalize logic ([#3497](https://github.com/pipe-cd/pipecd/pull/3497))
* Remove unused debug-base image ([#3496](https://github.com/pipe-cd/pipecd/pull/3496))
* Add GetAll methods for RBAC ([#3487](https://github.com/pipe-cd/pipecd/pull/3487))
* Rename dockers directory to tool ([#3495](https://github.com/pipe-cd/pipecd/pull/3495))
* Rename the dockers directory in Kapetanios config ([#3493](https://github.com/pipe-cd/pipecd/pull/3493))
* Fix unable to filter model correctly in case of filter options contain omitted field ([#3488](https://github.com/pipe-cd/pipecd/pull/3488))
* Missing type casting ([#3492](https://github.com/pipe-cd/pipecd/pull/3492))
* Move the source code from actions-gh-release repository ([#3491](https://github.com/pipe-cd/pipecd/pull/3491))
* Update contributor list ([#3490](https://github.com/pipe-cd/pipecd/pull/3490))
* Implement project method for RBAC ([#3477](https://github.com/pipe-cd/pipecd/pull/3477))
* Add CI tests for dockers directory ([#3486](https://github.com/pipe-cd/pipecd/pull/3486))
* Refactor actions-plan-preview ([#3480](https://github.com/pipe-cd/pipecd/pull/3480))
* Implement insight deployment frequency web api ([#3482](https://github.com/pipe-cd/pipecd/pull/3482))
* Add application collection decode logic ([#3479](https://github.com/pipe-cd/pipecd/pull/3479))
* Add link for parameters ([#3483](https://github.com/pipe-cd/pipecd/pull/3483))
* Add piped agent shard ([#3478](https://github.com/pipe-cd/pipecd/pull/3478))
* Implement collector ([#3472](https://github.com/pipe-cd/pipecd/pull/3472))
* Update decode interface ([#3476](https://github.com/pipe-cd/pipecd/pull/3476))
* Add interface to ProjectStore for RBAC ([#3474](https://github.com/pipe-cd/pipecd/pull/3474))
* Fix deployment count ([#3475](https://github.com/pipe-cd/pipecd/pull/3475))
* Fix Cloud Run example ([#3464](https://github.com/pipe-cd/pipecd/pull/3464))
* Implement insight deployment store ([#3457](https://github.com/pipe-cd/pipecd/pull/3457))
* Use offset instead of tzdb id ([#3470](https://github.com/pipe-cd/pipecd/pull/3470))
* Refactor to shorten the details of terraform plan preview ([#3471](https://github.com/pipe-cd/pipecd/pull/3471))
* Fix at the beginning of the sentence for shortening terraform plan details ([#3467](https://github.com/pipe-cd/pipecd/pull/3467))
* Add timezone field in Insight RPC ([#3465](https://github.com/pipe-cd/pipecd/pull/3465))
* Do not show the detail block in plan-preview comment when its content was empty ([#3463](https://github.com/pipe-cd/pipecd/pull/3463))
* Update filedb cursor implementation ([#3459](https://github.com/pipe-cd/pipecd/pull/3459))
* Fix to add builtin labels for Cloud Run service every deployment ([#3460](https://github.com/pipe-cd/pipecd/pull/3460))
* Improve to shorten the diff comment of terraform plan ([#3458](https://github.com/pipe-cd/pipecd/pull/3458))
* Update filedb datastore root path ([#3456](https://github.com/pipe-cd/pipecd/pull/3456))
* Add filestore config as control-plane datastore config ([#3455](https://github.com/pipe-cd/pipecd/pull/3455))
* Fix to add built-in labels into Cloud Run resources when using promote ([#3438](https://github.com/pipe-cd/pipecd/pull/3438))
* Iterator implementation for filedb ([#3445](https://github.com/pipe-cd/pipecd/pull/3445))
* Update cloudprovider terraform bazel file ([#3453](https://github.com/pipe-cd/pipecd/pull/3453))
* Fix interface and proto definition ([#3452](https://github.com/pipe-cd/pipecd/pull/3452))
* Refactor filedb filter logic ([#3446](https://github.com/pipe-cd/pipecd/pull/3446))
* Update insightstore interface ([#3449](https://github.com/pipe-cd/pipecd/pull/3449))
* Fix to add enum type into rbac model ([#3447](https://github.com/pipe-cd/pipecd/pull/3447))
* Add insight proto ([#3442](https://github.com/pipe-cd/pipecd/pull/3442))
* Add play links to the readme of examples ([#3440](https://github.com/pipe-cd/pipecd/pull/3440))
* Add play url to readme and docs ([#3439](https://github.com/pipe-cd/pipecd/pull/3439))
