---
title: "Release v0.9.1"
linkTitle: "Release v0.9.1"
date: 2020-12-16
description: >
  Release v0.9.1
---

## Changelog since v0.9.0

### Notable Changes

* Introduce the command-line tool: pipectl ([#1241](https://github.com/pipe-cd/pipecd/pull/1241))
* Add API Key page to generate/manage API keys that will be used by external services and pipectl ([#1183](https://github.com/pipe-cd/pipecd/pull/1183))
* Add the ability to trigger the deployment on changes of the specified paths ([#1250](https://github.com/pipe-cd/pipecd/pull/1250))
* Add the ability to edit application configuration ([#1237](https://github.com/pipe-cd/pipecd/pull/1237))
* Add the ability to edit piped configuration ([#1260](https://github.com/pipe-cd/pipecd/pull/1260))
* Show the environment ID at the environment list page ([#1253](https://github.com/pipe-cd/pipecd/pull/1253))
* Fix the bug that the WAIT stage does not wait for the specified duration ([#1226](https://github.com/pipe-cd/pipecd/pull/1226))
* Unify the SSO config of GitHub and GitHub Enterprise. GITHUB_ENTERPRISE provider name was deprecated. ([#1169](https://github.com/pipe-cd/pipecd/pull/1169))

### Internal Changes

* Add doc for pipectl ([#1266](https://github.com/pipe-cd/pipecd/pull/1266))
* Add the ability to force the sync strategy via SYNC_APPLICATION command ([#1264](https://github.com/pipe-cd/pipecd/pull/1264))
* Enable to push outdated images ([#1258](https://github.com/pipe-cd/pipecd/pull/1258))
* Ensure to load image watcher config ([#1251](https://github.com/pipe-cd/pipecd/pull/1251))
* Update build to enable publishing pipectl ([#1255](https://github.com/pipe-cd/pipecd/pull/1255))
* Update OWNERS ([#1252](https://github.com/pipe-cd/pipecd/pull/1252))
* Add API key disabling on the web ([#1190](https://github.com/pipe-cd/pipecd/pull/1190))
* Add insight page ([#1248](https://github.com/pipe-cd/pipecd/pull/1248))
* Add API Key management page for generating/displaying API keys to use for external services ([#1183](https://github.com/pipe-cd/pipecd/pull/1183))
* Refactor CLI to use the original deployment status ([#1247](https://github.com/pipe-cd/pipecd/pull/1247))
* Compare image in the container registry and one in git ([#1246](https://github.com/pipe-cd/pipecd/pull/1246))
* Add a package for yaml templating ([#1243](https://github.com/pipe-cd/pipecd/pull/1243))
* Make it possible to call GetInsightData from web ([#1242](https://github.com/pipe-cd/pipecd/pull/1242))
* Add responsible support to the DeploymentFrequencyChart ([#1240](https://github.com/pipe-cd/pipecd/pull/1240))
* Add deployment frequency chart component ([#1239](https://github.com/pipe-cd/pipecd/pull/1239))
* Expose the api endpoints ([#1235](https://github.com/pipe-cd/pipecd/pull/1235))
* Add UpdatePiped to WebApi ([#1234](https://github.com/pipe-cd/pipecd/pull/1234))
* Add image provider for ECR ([#1213](https://github.com/pipe-cd/pipecd/pull/1213))
* Implement GetDeployment and GetCommand rpcs for external api ([#1231](https://github.com/pipe-cd/pipecd/pull/1231))
* Add UpdateApplication to WebApi ([#1228](https://github.com/pipe-cd/pipecd/pull/1228))
* Using utils getApplication instead of WebApi getApplication ([#1230](https://github.com/pipe-cd/pipecd/pull/1230))
* Implement SyncApplication rpc for external api ([#1229](https://github.com/pipe-cd/pipecd/pull/1229))
* Implement AddApplication rpc for external api ([#1227](https://github.com/pipe-cd/pipecd/pull/1227))
* Yes, user can input username or password via file from control-plane configs ([#1168](https://github.com/pipe-cd/pipecd/pull/1168))
* Fix document in control-plane/architecture-overview: "api" > "server" ([#1224](https://github.com/pipe-cd/pipecd/pull/1224))
* Add week picker component ([#1215](https://github.com/pipe-cd/pipecd/pull/1215))
* Automatically recreate piped pods when executing helm upgrade ([#1217](https://github.com/pipe-cd/pipecd/pull/1217))
* Create insight data for change failure rate ([#1197](https://github.com/pipe-cd/pipecd/pull/1197))
* Avoid rerun bazel on switch terminal ([#1203](https://github.com/pipe-cd/pipecd/pull/1203))
* Ensure to watch image from image providers ([#1117](https://github.com/pipe-cd/pipecd/pull/1117))
* Add test module target on Makefile ([#1201](https://github.com/pipe-cd/pipecd/pull/1201))
* Create GetInsightData for deploy frequency ([#1188](https://github.com/pipe-cd/pipecd/pull/1188))
* Add the definition for external api ([#1196](https://github.com/pipe-cd/pipecd/pull/1196))
* Add authentication logic for API key ([#1193](https://github.com/pipe-cd/pipecd/pull/1193))
* Update site chart template ([#1194](https://github.com/pipe-cd/pipecd/pull/1194))
* Add RFC for Image Watcher ([#1114](https://github.com/pipe-cd/pipecd/pull/1114))
* Rename `range_to` to `data_point_count` ([#1187](https://github.com/pipe-cd/pipecd/pull/1187))
* Merge server and ops into pipecd component ([#1186](https://github.com/pipe-cd/pipecd/pull/1186))
* [RFC] Update bazel template ([#1185](https://github.com/pipe-cd/pipecd/pull/1185))
* Add a definition of function for the deployment frequency graph ([#1179](https://github.com/pipe-cd/pipecd/pull/1179))
* Update eslintrc ([#1182](https://github.com/pipe-cd/pipecd/pull/1182))
* Use nodejs scripts instead of sed to modify some imports ([#1181](https://github.com/pipe-cd/pipecd/pull/1181))
* Fix authorization for ListAPIKeys ([#1180](https://github.com/pipe-cd/pipecd/pull/1180))
* Fix web dependency errors ([#1177](https://github.com/pipe-cd/pipecd/pull/1177))
* Add web client async actions for API Keys ([#1174](https://github.com/pipe-cd/pipecd/pull/1174))
* Update OWNERS ([#1175](https://github.com/pipe-cd/pipecd/pull/1175))
* Update slack invitation link ([#1173](https://github.com/pipe-cd/pipecd/pull/1173))
* Update OWNERS ([#1172](https://github.com/pipe-cd/pipecd/pull/1172))
* Implement api-key's apis for web client ([#1167](https://github.com/pipe-cd/pipecd/pull/1167))
* Allow configuring the proxy for GitHub auth client ([#1166](https://github.com/pipe-cd/pipecd/pull/1166))
* Add APIKey model and its gRPC definitions ([#1164](https://github.com/pipe-cd/pipecd/pull/1164))
* Remove no longer used fake-web api ([#1163](https://github.com/pipe-cd/pipecd/pull/1163))
* Update helloworld image version to match quickstart guide ([#1154](https://github.com/pipe-cd/pipecd/pull/1154))
* Update owners ([#1152](https://github.com/pipe-cd/pipecd/pull/1152))
* Update bazel to 3.7.1, rules_go to v0.24.7 ([#1151](https://github.com/pipe-cd/pipecd/pull/1151))
* Rename package pkg/app/api/api to grpcapi ([#1150](https://github.com/pipe-cd/pipecd/pull/1150))
* Refactor deployment config file form ([#1148](https://github.com/pipe-cd/pipecd/pull/1148))
* Add env parameter to the helm template of pipecd ([#1144](https://github.com/pipe-cd/pipecd/pull/1144))
* Update storybook to 6.1.6 ([#1140](https://github.com/pipe-cd/pipecd/pull/1140))
* Refactor application detail error handling ([#1141](https://github.com/pipe-cd/pipecd/pull/1141))
* Simplify the diff message for sensitive data ([#1133](https://github.com/pipe-cd/pipecd/pull/1133))
* Add AWS services to feature status page ([#1135](https://github.com/pipe-cd/pipecd/pull/1135))
* Add namespace to template helm chart ([#1132](https://github.com/pipe-cd/pipecd/pull/1132))
* Add custom stage feature to the roadmap ([#1131](https://github.com/pipe-cd/pipecd/pull/1131))
* Change viewer and editor team of RBAC configuration to be optional ([#1130](https://github.com/pipe-cd/pipecd/pull/1130))
* Use userEvent instead of fireEvent for web tests ([#1128](https://github.com/pipe-cd/pipecd/pull/1128))
* Refactor static admin form ([#1127](https://github.com/pipe-cd/pipecd/pull/1127))
